Skip to main content
Endpoint:

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameter

sort
string
required
Sorting data results from invoice status.
  • active
  • paid
  • close

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
pageCount
integer
Total number of data pages.
pageSize
integer
Number of items per page.
page
integer
The page currently displayed.
data
array of object
List of invoices displayed.

data Structure (Array Of Object)

id
string<uuid>
Unique invoice ID.
amount
integer
Invoice price or nominal value.
category
string | null
Product category, can be null if there is no category.
createdAt
number | timestamp
Product creation time in epoch milliseconds format.
description
string
Product description.
Product slug/short URL.
type
string
Product type.
status
string
Product status.
name
string
Product name.
redirectUrl
string | null
Redirect destination URL, can be null.
customerId
string<uuid>
The customer ID associated with this invoice.
transactions
array of object
List of invoice related transactions.
customer
array of object
Details of the customer who paid the invoice.

transactions Structure (Array Of Object)

id
string <uuid>
Unique transaction ID.
status
string
required
Transaction status (example: “created”, “paid”).

customer Structure (Array Of Object)

id
string <uuid>
Unique customer ID.
email
string
Customer’s email address.
mobile
string
Customer’s mobile phone number.
name
string
Customer’s name.